using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microdesk.SkillPortal.DomainModel
{
    public class Skill : Microdesk.Domain.Foundation.GuidIdentityPersistenceBase<Skill>
    {
        private Employee _employee;

        private SkillType _skillType;

        protected Skill()
        {
        }

        public Skill(SkillType skillType)
        {
            _skillType = skillType;
        }

        public virtual Employee Employee
        {
            get
            {
                return _employee;
            }
            set
            {
                _employee = value;
            }
        }

        public virtual Guid Id
        {
            get { return _persistenceId; }

        }

        public virtual SkillType SkillType
        {
            get
            {
                return _skillType;
            }
            set
            {
                _skillType = value;
            }
        }

    }
}
