using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microdesk.SkillPortal.DomainModel;

namespace Microdesk.SkillPortal.DomainPersistence
{
    public interface IEmployeeRepository
    {
        Employee SaveOrUpdateEmployee(Employee emp);
        Employee GetEmployee(Guid Id);
    }
    public class EmployeeRepository : Rhino.Commons.NHRepository<Employee>, IEmployeeRepository
    {
        public Employee GetEmployee(Guid Id)
        {
            return base.Get(Id);
        }


        public Employee SaveOrUpdateEmployee(Employee emp)
        {
            return base.SaveOrUpdate(emp);
        }
    }
}
